import { CandidateEntity } from '@modules/ad/core/domain/candidate.entity';
import { Processor } from '../algorithm.abstract';

export abstract class Filter extends Processor {
  execute = async (candidates: CandidateEntity[]): Promise<CandidateEntity[]> =>
    this.filter(candidates);

  abstract filter(candidates: CandidateEntity[]): Promise<CandidateEntity[]>;
}
